package com.zjrs.ggfw.portal.dto;

import io.swagger.annotations.ApiModelProperty;

import jakarta.validation.constraints.NotBlank;

public class ZfxxysqgkGrDTO implements java.io.Serializable {
	
	private static final long serialVersionUID = 1L;
	
	@ApiModelProperty(value = "主键")
    private String rsWbZfxxysqgkLsh;
	
	@ApiModelProperty(value = "办件流水号")
	@NotBlank(message = "办件流水号不能为空")
    private String rsWbBjLsh;
	
	@ApiModelProperty(value = "姓名")
	@NotBlank(message = "姓名不能为空")
    private String xm;

    @ApiModelProperty(value = "工作单位")
    private String gzdw;

    @ApiModelProperty(value = "身份证号码")
    @NotBlank(message = "身份证号码不能为空")
    private String sfzhm;

    @ApiModelProperty(value = "邮政编码")
    @NotBlank(message = "邮政编码不能为空")
    private String yzbm;

    @ApiModelProperty(value = "通信地址")
    @NotBlank(message = "通信地址不能为空")
    private String txdz;

    @ApiModelProperty(value = "联系电话")
    private String lxdh;

    @ApiModelProperty(value = "手机号码")
    @NotBlank(message = "手机号码不能为空")
    private String sjhm;

    @ApiModelProperty(value = "电子邮箱")
    @NotBlank(message = "电子邮箱不能为空")
    private String dzyx;
	
    @ApiModelProperty(value = "文件名称")
    private String wjmc;

    @ApiModelProperty(value = "文号")
    private String wh;

    @ApiModelProperty(value = "或者其他特征性描述")
    @NotBlank(message = "或者其他特征性描述不能为空")
    private String hzqttzxms;

    @ApiModelProperty(value = "所需政府信息用途")
    @NotBlank(message = "所需政府信息用途不能为空")
    private String sxzfxxyt;

    @ApiModelProperty(value = "提供政府信息的指定方式")
    @NotBlank(message = "提供政府信息的指定方式不能为空")
    private String tgzfxxdzdfs;

    @ApiModelProperty(value = "获取政府信息的途径")
    @NotBlank(message = "获取政府信息的途径不能为空")
    private String hqzfxxdtj;

	public String getRsWbZfxxysqgkLsh() {
		return rsWbZfxxysqgkLsh;
	}

	public void setRsWbZfxxysqgkLsh(String rsWbZfxxysqgkLsh) {
		this.rsWbZfxxysqgkLsh = rsWbZfxxysqgkLsh;
	}

	public String getRsWbBjLsh() {
		return rsWbBjLsh;
	}

	public void setRsWbBjLsh(String rsWbBjLsh) {
		this.rsWbBjLsh = rsWbBjLsh;
	}

	public String getXm() {
		return xm;
	}

	public void setXm(String xm) {
		this.xm = xm;
	}

	public String getGzdw() {
		return gzdw;
	}

	public void setGzdw(String gzdw) {
		this.gzdw = gzdw;
	}

	public String getSfzhm() {
		return sfzhm;
	}

	public void setSfzhm(String sfzhm) {
		this.sfzhm = sfzhm;
	}

	public String getYzbm() {
		return yzbm;
	}

	public void setYzbm(String yzbm) {
		this.yzbm = yzbm;
	}

	public String getTxdz() {
		return txdz;
	}

	public void setTxdz(String txdz) {
		this.txdz = txdz;
	}

	public String getLxdh() {
		return lxdh;
	}

	public void setLxdh(String lxdh) {
		this.lxdh = lxdh;
	}

	public String getSjhm() {
		return sjhm;
	}

	public void setSjhm(String sjhm) {
		this.sjhm = sjhm;
	}

	public String getDzyx() {
		return dzyx;
	}

	public void setDzyx(String dzyx) {
		this.dzyx = dzyx;
	}

	public String getWjmc() {
		return wjmc;
	}

	public void setWjmc(String wjmc) {
		this.wjmc = wjmc;
	}

	public String getWh() {
		return wh;
	}

	public void setWh(String wh) {
		this.wh = wh;
	}

	public String getHzqttzxms() {
		return hzqttzxms;
	}

	public void setHzqttzxms(String hzqttzxms) {
		this.hzqttzxms = hzqttzxms;
	}

	public String getSxzfxxyt() {
		return sxzfxxyt;
	}

	public void setSxzfxxyt(String sxzfxxyt) {
		this.sxzfxxyt = sxzfxxyt;
	}

	public String getTgzfxxdzdfs() {
		return tgzfxxdzdfs;
	}

	public void setTgzfxxdzdfs(String tgzfxxdzdfs) {
		this.tgzfxxdzdfs = tgzfxxdzdfs;
	}

	public String getHqzfxxdtj() {
		return hqzfxxdtj;
	}

	public void setHqzfxxdtj(String hqzfxxdtj) {
		this.hqzfxxdtj = hqzfxxdtj;
	}
}    
